!===========================================================
program test

!===========================================================
!E. Calabrese 2020
!===========================================================

use ACTPol_CMBonly 

implicit none
real(8), dimension(:), allocatable :: cell_tt,cell_ee,cell_te
character(LEN=128) :: filename
real(8)            :: aplike, yp2
integer            :: lun, il, dummy

!---------------------------------------------------

print *,""
print *,"ACTPol CMB-only likelihood test"
print *,"==================================="
call actpol_like_init
!---------------------------------------------------
! read in test Cls
!---------------------------------------------------
filename = trim(data_dir)//'bf_ACTPol_WMAP_lcdm.minimum.theory_cl'
write(*,*)"Reading in Cls from: ",trim(filename)

call get_free_lun(lun)
allocate(cell_tt(2:tt_lmax),cell_ee(2:tt_lmax),cell_te(2:tt_lmax)) 
cell_tt(2:tt_lmax)=0.d0
cell_ee(2:tt_lmax)=0.d0
cell_te(2:tt_lmax)=0.d0

open(unit=lun,file=filename,action='read',status='old')
do il=2,tt_lmax
   read(lun,*)dummy,cell_tt(il),cell_te(il),cell_ee(il)
enddo
close(lun)
 
!change for different data combination
yp2=1.003 ! for ACTPol+WMAP best fit
!yp2=1.001 !for ACTPol only best fit

call actpol_calc_like(aplike,cell_tt,cell_te,cell_ee,yp2)

write(*,*) '-------------------------------------'
write(*,*) 'ACTPol chi2 = ', 2*aplike
write(*,*) 'Expected for ACT+WMAP best fit = 288.2'
write(*,*) 'Expected for ACT best fit = 279.0'
write(*,*) '-------------------------------------'

end program test
